.input-field {
  display: flex;
  flex-direction: column;
  width: 100%;
  transition: all ease 0.3s;
}

.input-field > label {
  width: fit-content;
  font-family: 'Roboto', sans-serif;
  font-size: 0.875rem;
  font-weight: 400;
  color: #666;
  transform: translate(14px, 37px);
  transition: all ease 0.3s;
}

.input-field > input {
  height: 55px;
  font-family: 'Roboto', sans-serif;
  text-transform: uppercase;
  font-size: 1rem;
  font-weight: 400;
  padding: 10px 15px;
  border: 1px solid #ccc;
  border-radius: 5px;
  transition: all ease 0.3s;
}

.input-field > input:-webkit-autofill {
  -webkit-box-shadow: 0 0 0px 1000px white inset;
}

.input-field > p {
  display: none;
  font-size: 1rem;
  margin-top: 5px;
  font-family: 'Roboto', sans-serif;
  color: #f44336;
}

.input-field.focus > label,
.input-field.filled > label,
.input-field.error > label {
  color: #005CAA;
  background-color: #FFF;
  padding: 0 10px;
  transform: translate(14px, 10px);
}

.input-field.focus > input {
  border-color: #005CAA;
}

.input-field.filled > label {
  color: #666;
}

.input-field.error > label {
  color: #f44336;
}

.input-field.error > input {
  border-color: #f44336;
}

.input-field.error > p {
  display: block;
}

.input-field.disabled > label {
  color: #ccc;
}
.input-field.disabled > input {
  background-color: transparent;
  border-color: #ccc;
}